Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

FieldType/BinaryBase/BinaryBaseStorage/Gateway.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage;
8
9 use eZ\Publish\SPI\Persistence\Content\VersionInfo;
10 use eZ\Publish\SPI\Persistence\Content\Field;
11 use eZ\Publish\SPI\FieldType\StorageGateway;
12
13 abstract class Gateway extends StorageGateway
14 {
21 abstract public function storeFileReference(VersionInfo $versionInfo, Field $field);
22
31 abstract public function getFileReferenceData($fieldId, $versionNo);
32
39 abstract public function removeFileReferences(array $fieldIds, $versionNo);
40
47 abstract public function removeFileReference($fieldId, $versionNo);
48
57 abstract public function getReferencedFiles(array $fieldIds, $versionNo);
58
66 abstract public function countFileReferences(array $files);
67 }
eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway
Definition: FieldType/BinaryBase/BinaryBaseStorage/Gateway.php:14
eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\storeFileReference
storeFileReference(VersionInfo $versionInfo, Field $field)
Stores the file reference in $field for $versionNo.
eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\removeFileReference
removeFileReference($fieldId, $versionNo)
Removes a specific file reference for $fieldId and $versionId.
eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\getReferencedFiles
getReferencedFiles(array $fieldIds, $versionNo)
Returns a map of files referenced by the given $fieldIds.
eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\countFileReferences
countFileReferences(array $files)
Returns a map with the number of references each file from $files has.
eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\removeFileReferences
removeFileReferences(array $fieldIds, $versionNo)
Removes all file references for the given $fieldIds.
eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage\Gateway\getFileReferenceData
getFileReferenceData($fieldId, $versionNo)
Returns the file reference data for the given $fieldId in $versionNo.
eZ\Publish\Core\FieldType\BinaryBase\BinaryBaseStorage
Storage for binary files.
Definition: BinaryBaseStorage.php:22
eZ\Publish\SPI\FieldType\StorageGateway
Base class for FieldType external storage gateways.
Definition: SPI/FieldType/StorageGateway.php:13
eZ\Publish\SPI\Persistence\Content\Field
Definition: SPI/Persistence/Content/Field.php:12
eZ\Publish\SPI\Persistence\Content\VersionInfo
This class holds version information data.
Definition: SPI/Persistence/Content/VersionInfo.php:15
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.